package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 货币属性
 *
 * @author: hzs
 */
@AllArgsConstructor
@Getter
public enum EAccountProperty {

    /**
     * 是否充值
     */
    IS_RECHARGE(1, "是否充值"),

    /**
     * 是否转账
     */
    IS_TRANSFER(2, "是否转账"),

    /**
     * 是否提现
     */
    IS_WITHDRAWAL(3, "是否提现"),

    /**
     * 是否转换币种
     */
    IS_ACCEPT(4, "是否转换币种"),

    /**
     * 是否在线充值
     */
    IS_ON_LINE_RECHARGE(5, "是否在线充值"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;

}
